MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027198Open CASCADE[OCCT] OCCT:Foundation Classespublic2016-02-22 22:072016-04-20 15:49
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027198: OSD_Environment - use wide characters API on Windows
DescriptionOSD_Environment should support UTF-8 file paths in the similar manner as other parts of OCCT - transparently convert between UTF-8 and UTF-16 encodings for dealing with WinAPI.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0022484closedbugmaster UNICODE characters support. 

-  Notes
(0051060)
git (administrator)
2016-02-22 22:10

Branch CR27198 has been created by kgv.

SHA-1: ff7a62cfa5268badd15ce5e7659e4d0365cfa170


Detailed log of new commits:

Author: kgv
Date: Mon Feb 22 22:07:45 2016 +0300

    0027198: OSD_Environment - use wide characters API on Windows
(0051061)
kgv (developer)
2016-02-22 22:10

Patch is ready for review.
(0051104)
abv (manager)
2016-02-25 11:29

No remarks, please test
(0051188)
apv (tester)
2016-02-26 19:27

Dear BugMaster,

Branch CR27198 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ff7a62cfa5268badd15ce5e7659e4d0365cfa170

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 41 (41 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 90088242 / 90548028 [-0.51%]
Total CPU difference: 19240.309999999998 / 19576.420000000107 [-1.72%]

Testing on Windows:
Total MEMORY difference: 57921045 / 57106337 [+1.43%]
Total CPU difference: 18063.90179349887 / 17710.10712559875 [+2.00%]
(0052788)
git (administrator)
2016-04-17 12:57

Branch CR27198 has been deleted by kgv.

SHA-1: ff7a62cfa5268badd15ce5e7659e4d0365cfa170

- Related Changesets
occt: master 8582eb08
Timestamp: 2016-02-22 19:07:45
Author: abv
Committer: abv
Details ] Diff ]
0027198: OSD_Environment - use wide characters API on Windows
mod - src/OSD/OSD_Environment.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-22 22:07 kgv New Issue
2016-02-22 22:07 kgv Assigned To => abv
2016-02-22 22:07 kgv Assigned To abv => kgv
2016-02-22 22:07 kgv Status new => assigned
2016-02-22 22:09 kgv Relationship added child of 0022484
2016-02-22 22:10 git Note Added: 0051060
2016-02-22 22:10 kgv Note Added: 0051061
2016-02-22 22:10 kgv Assigned To kgv => abv
2016-02-22 22:10 kgv Status assigned => resolved
2016-02-25 11:29 abv Note Added: 0051104
2016-02-25 11:29 abv Assigned To abv => bugmaster
2016-02-25 11:29 abv Status resolved => reviewed
2016-02-25 14:48 apv Assigned To bugmaster => apv
2016-02-26 19:25 apv Test case number => Not needed
2016-02-26 19:27 apv Note Added: 0051188
2016-02-26 19:27 apv Assigned To apv => bugmaster
2016-02-26 19:27 apv Status reviewed => tested
2016-02-26 19:35 kgv Target Version 7.1.0 => 7.0.0
2016-03-04 16:52 abv Changeset attached => occt master 8582eb08
2016-03-04 16:52 abv Assigned To bugmaster => abv
2016-03-04 16:52 abv Status tested => verified
2016-03-04 16:52 abv Resolution open => fixed
2016-04-17 12:57 git Note Added: 0052788
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker